teamviewer.com link icon
or
Ask The Community

Team Viewer for Ubuntu Server 18.04.4 running on Raspberry Pi

I'm running Ubuntu Server 18.04.4 LTS (64bit) for Raspberry Pi from https://ubuntu.com/download/raspberry-pi on a Raspberry Pi 3 Model B+ (https://ubuntu.com/download/raspberry-pi/thank-you?version=18.04.4&architecture=arm64+raspi3). I downloaded Team Viewer Host for Raspberry Pi from https://www.teamviewer.com/en/download/raspberry-pi/ . Unfortunatelly I the installation failed.

$ sudo dpkg -i ./teamviewer-host_armhf.deb
dpkg: error processing archive ./teamviewer-host_armhf.deb (--install):
package architecture (armhf) does not match system (arm64)
Errors were encountered while processing:
./teamviewer-host_armhf.deb

Seems like Team Viewer for Raspberry Pi is for armhf architecture only. I need the package for either amd64 or aarch64 instead.

$ uname -a
Linux ubuntu 5.3.0-1017-raspi2 #19~18.04.1-Ubuntu SMP Fri Jan 17 11:14:07 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux

Is there a package built for my needs already?

Tagged:

Comments

  • DomLan
    DomLan Posts: 490 Star

    Hi @fkromer,

    try standard Ubuntu (Debian) package 

    Regards.

    Domenico Langone
    MCSD: App Builder
    Did my reply answer your question? Accept it as a solution to help others.
    Find this helpful? Say thanks by clicking on the Thumbs Up button.
  • fkromer
    fkromer Posts: 4

    Hi @DomLan ,

    I already tried. Unfortunatelly the installation fails as well:

    $ sudo dpkg -i ./teamviewer_amd64.deb
    dpkg: error processing archive ./teamviewer_amd64.deb (--install):
    package architecture (amd64) does not match system (arm64)
    Errors were encountered while processing:
    ./teamviewer_amd64.deb

  • DomLan
    DomLan Posts: 490 Star

    Hi @fkromer 

    I do some verification and update you. Actually for the PI distribution it indicates v2 or higher

    What kind of PI do you have?

    Regards

    Domenico Langone
    MCSD: App Builder
    Did my reply answer your question? Accept it as a solution to help others.
    Find this helpful? Say thanks by clicking on the Thumbs Up button.
  • DomLan
    DomLan Posts: 490 Star

    Hi @fkromer,

    here there is a specific section for installing on Linux device: Older 64-bit DEB-systems without Multiarch (Ubuntu 12.03, Debian 6 and below) - and a mention for your wrong architecture message

    Try it.

    Let me know!

    Regards

    Domenico Langone
    MCSD: App Builder
    Did my reply answer your question? Accept it as a solution to help others.
    Find this helpful? Say thanks by clicking on the Thumbs Up button.
  • fkromer
    fkromer Posts: 4

    Hi @DomLan ,

    I've tried something mentioned in some other posts. However it did not work:

    $ sudo dpkg --add-architecture armhf
    $ sudo dpkg -i ./teamviewer-host_armhf.deb
    Selecting previously unselected package teamviewer-host:armhf.
    (Reading database ... 104510 files and directories currently installed.)
    Preparing to unpack ./teamviewer-host_armhf.deb ...
    Unpacking teamviewer-host:armhf (15.3.2682) ...
    dpkg: dependency problems prevent configuration of teamviewer-host:armhf:
    teamviewer-host:armhf depends on libc6 (>= 2.17).
    teamviewer-host:armhf depends on libdbus-1-3.
    teamviewer-host:armhf depends on libqt5gui5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on libqt5widgets5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on libqt5qml5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on libqt5quick5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on libqt5dbus5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on libqt5webkit5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on libqt5x11extras5 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on qml-module-qtquick2 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on qml-module-qtquick-controls (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on qml-module-qtquick-dialogs (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on qml-module-qtquick-window2 (>= 5.5) | qt56-teamviewer.
    teamviewer-host:armhf depends on qml-module-qtquick-layouts (>= 5.5) | qt56-teamviewer.

    dpkg: error processing package teamviewer-host:armhf (--install):
    dependency problems - leaving unconfigured
    Processing triggers for mime-support (3.60ubuntu1) ...
    Errors were encountered while processing:
    teamviewer-host:armhf
    $ sudo apt --fix-broken install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
    golang-docker-credential-helpers libpython-stdlib libpython2.7-minimal
    libpython2.7-stdlib libsecret-1-0 libsecret-common python python-asn1crypto
    python-backports.ssl-match-hostname python-cached-property python-certifi
    python-cffi-backend python-chardet python-cryptography python-docker
    python-dockerpty python-dockerpycreds python-docopt python-enum34
    python-funcsigs python-functools32 python-idna python-ipaddress
    python-jsonschema python-minimal python-mock python-openssl python-pbr
    python-pkg-resources python-requests python-six python-texttable
    python-urllib3 python-websocket python-yaml python2.7 python2.7-minimal
    Use 'sudo apt autoremove' to remove them.
    The following packages will be REMOVED:
    teamviewer-host:armhf
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 55.2 MB disk space will be freed.
    Do you want to continue? [Y/n] Y
    (Reading database ... 104630 files and directories currently installed.)
    Removing teamviewer-host:armhf (15.3.2682) ...
    Processing triggers for mime-support (3.60ubuntu1) ...

    Obviously the package was not installed correctly and was removed:

    The following packages will be REMOVED:
    teamviewer-host:armhf
  • jtf
    jtf Posts: 1
    $ wget https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb
    $ dpkg --add-architecture armhf
    $ apt-get update
    $ dpkg -i teamviewer-host_armhf.deb
    $ apt-get --fix-broken install
    $ dpkg --add-architecture armhf
     
    It seems ok but
    $ teamviewer
    Init...
    Error: CheckCPU: unknown architecture 'aarch64'
  • Tuvar
    Tuvar Posts: 1

    Did you ever resolve this? I have the same issue, but on a Pi 4 and Ubuntu 20.04

  • nishad1092
    nishad1092 Posts: 3 ✭✭

    hI @themreza 

     

    This link looked promising, but after installation, the TV didnt open..

    any idea when TV will be released for jetson xavier arch armv8?

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!